Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.76.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
89.76.0.0
Broadcast address
89.76.255.255
First usable
89.76.0.1
Last usable
89.76.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 594C0000 · Integer 1498152960 to 1498218495
Reverse DNS zone
76.89.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.01001100..00000000.0000000089.76.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01011001.01001100..00000000.0000000089.76.0.0
Broadcast01011001.01001100..11111111.1111111189.76.255.255
Split into smaller subnets/26

89.76.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.76.0.0/2689.76.0.1 to 89.76.0.6289.76.0.6362
289.76.0.64/2689.76.0.65 to 89.76.0.12689.76.0.12762
389.76.0.128/2689.76.0.129 to 89.76.0.19089.76.0.19162
489.76.0.192/2689.76.0.193 to 89.76.0.25489.76.0.25562
589.76.1.0/2689.76.1.1 to 89.76.1.6289.76.1.6362
689.76.1.64/2689.76.1.65 to 89.76.1.12689.76.1.12762
789.76.1.128/2689.76.1.129 to 89.76.1.19089.76.1.19162
889.76.1.192/2689.76.1.193 to 89.76.1.25489.76.1.25562
989.76.2.0/2689.76.2.1 to 89.76.2.6289.76.2.6362
1089.76.2.64/2689.76.2.65 to 89.76.2.12689.76.2.12762
1189.76.2.128/2689.76.2.129 to 89.76.2.19089.76.2.19162
1289.76.2.192/2689.76.2.193 to 89.76.2.25489.76.2.25562
1389.76.3.0/2689.76.3.1 to 89.76.3.6289.76.3.6362
1489.76.3.64/2689.76.3.65 to 89.76.3.12689.76.3.12762
1589.76.3.128/2689.76.3.129 to 89.76.3.19089.76.3.19162
1689.76.3.192/2689.76.3.193 to 89.76.3.25489.76.3.25562
1789.76.4.0/2689.76.4.1 to 89.76.4.6289.76.4.6362
1889.76.4.64/2689.76.4.65 to 89.76.4.12689.76.4.12762
1989.76.4.128/2689.76.4.129 to 89.76.4.19089.76.4.19162
2089.76.4.192/2689.76.4.193 to 89.76.4.25489.76.4.25562
2189.76.5.0/2689.76.5.1 to 89.76.5.6289.76.5.6362
2289.76.5.64/2689.76.5.65 to 89.76.5.12689.76.5.12762
2389.76.5.128/2689.76.5.129 to 89.76.5.19089.76.5.19162
2489.76.5.192/2689.76.5.193 to 89.76.5.25489.76.5.25562
2589.76.6.0/2689.76.6.1 to 89.76.6.6289.76.6.6362
2689.76.6.64/2689.76.6.65 to 89.76.6.12689.76.6.12762
2789.76.6.128/2689.76.6.129 to 89.76.6.19089.76.6.19162
2889.76.6.192/2689.76.6.193 to 89.76.6.25489.76.6.25562
2989.76.7.0/2689.76.7.1 to 89.76.7.6289.76.7.6362
3089.76.7.64/2689.76.7.65 to 89.76.7.12689.76.7.12762
3189.76.7.128/2689.76.7.129 to 89.76.7.19089.76.7.19162
3289.76.7.192/2689.76.7.193 to 89.76.7.25489.76.7.25562
3389.76.8.0/2689.76.8.1 to 89.76.8.6289.76.8.6362
3489.76.8.64/2689.76.8.65 to 89.76.8.12689.76.8.12762
3589.76.8.128/2689.76.8.129 to 89.76.8.19089.76.8.19162
3689.76.8.192/2689.76.8.193 to 89.76.8.25489.76.8.25562
3789.76.9.0/2689.76.9.1 to 89.76.9.6289.76.9.6362
3889.76.9.64/2689.76.9.65 to 89.76.9.12689.76.9.12762
3989.76.9.128/2689.76.9.129 to 89.76.9.19089.76.9.19162
4089.76.9.192/2689.76.9.193 to 89.76.9.25489.76.9.25562
4189.76.10.0/2689.76.10.1 to 89.76.10.6289.76.10.6362
4289.76.10.64/2689.76.10.65 to 89.76.10.12689.76.10.12762
4389.76.10.128/2689.76.10.129 to 89.76.10.19089.76.10.19162
4489.76.10.192/2689.76.10.193 to 89.76.10.25489.76.10.25562
4589.76.11.0/2689.76.11.1 to 89.76.11.6289.76.11.6362
4689.76.11.64/2689.76.11.65 to 89.76.11.12689.76.11.12762
4789.76.11.128/2689.76.11.129 to 89.76.11.19089.76.11.19162
4889.76.11.192/2689.76.11.193 to 89.76.11.25489.76.11.25562
4989.76.12.0/2689.76.12.1 to 89.76.12.6289.76.12.6362
5089.76.12.64/2689.76.12.65 to 89.76.12.12689.76.12.12762
5189.76.12.128/2689.76.12.129 to 89.76.12.19089.76.12.19162
5289.76.12.192/2689.76.12.193 to 89.76.12.25489.76.12.25562
5389.76.13.0/2689.76.13.1 to 89.76.13.6289.76.13.6362
5489.76.13.64/2689.76.13.65 to 89.76.13.12689.76.13.12762
5589.76.13.128/2689.76.13.129 to 89.76.13.19089.76.13.19162
5689.76.13.192/2689.76.13.193 to 89.76.13.25489.76.13.25562
5789.76.14.0/2689.76.14.1 to 89.76.14.6289.76.14.6362
5889.76.14.64/2689.76.14.65 to 89.76.14.12689.76.14.12762
5989.76.14.128/2689.76.14.129 to 89.76.14.19089.76.14.19162
6089.76.14.192/2689.76.14.193 to 89.76.14.25489.76.14.25562
6189.76.15.0/2689.76.15.1 to 89.76.15.6289.76.15.6362
6289.76.15.64/2689.76.15.65 to 89.76.15.12689.76.15.12762
6389.76.15.128/2689.76.15.129 to 89.76.15.19089.76.15.19162
6489.76.15.192/2689.76.15.193 to 89.76.15.25489.76.15.25562
6589.76.16.0/2689.76.16.1 to 89.76.16.6289.76.16.6362
6689.76.16.64/2689.76.16.65 to 89.76.16.12689.76.16.12762
6789.76.16.128/2689.76.16.129 to 89.76.16.19089.76.16.19162
6889.76.16.192/2689.76.16.193 to 89.76.16.25489.76.16.25562
6989.76.17.0/2689.76.17.1 to 89.76.17.6289.76.17.6362
7089.76.17.64/2689.76.17.65 to 89.76.17.12689.76.17.12762
7189.76.17.128/2689.76.17.129 to 89.76.17.19089.76.17.19162
7289.76.17.192/2689.76.17.193 to 89.76.17.25489.76.17.25562
7389.76.18.0/2689.76.18.1 to 89.76.18.6289.76.18.6362
7489.76.18.64/2689.76.18.65 to 89.76.18.12689.76.18.12762
7589.76.18.128/2689.76.18.129 to 89.76.18.19089.76.18.19162
7689.76.18.192/2689.76.18.193 to 89.76.18.25489.76.18.25562
7789.76.19.0/2689.76.19.1 to 89.76.19.6289.76.19.6362
7889.76.19.64/2689.76.19.65 to 89.76.19.12689.76.19.12762
7989.76.19.128/2689.76.19.129 to 89.76.19.19089.76.19.19162
8089.76.19.192/2689.76.19.193 to 89.76.19.25489.76.19.25562
8189.76.20.0/2689.76.20.1 to 89.76.20.6289.76.20.6362
8289.76.20.64/2689.76.20.65 to 89.76.20.12689.76.20.12762
8389.76.20.128/2689.76.20.129 to 89.76.20.19089.76.20.19162
8489.76.20.192/2689.76.20.193 to 89.76.20.25489.76.20.25562
8589.76.21.0/2689.76.21.1 to 89.76.21.6289.76.21.6362
8689.76.21.64/2689.76.21.65 to 89.76.21.12689.76.21.12762
8789.76.21.128/2689.76.21.129 to 89.76.21.19089.76.21.19162
8889.76.21.192/2689.76.21.193 to 89.76.21.25489.76.21.25562
8989.76.22.0/2689.76.22.1 to 89.76.22.6289.76.22.6362
9089.76.22.64/2689.76.22.65 to 89.76.22.12689.76.22.12762
9189.76.22.128/2689.76.22.129 to 89.76.22.19089.76.22.19162
9289.76.22.192/2689.76.22.193 to 89.76.22.25489.76.22.25562
9389.76.23.0/2689.76.23.1 to 89.76.23.6289.76.23.6362
9489.76.23.64/2689.76.23.65 to 89.76.23.12689.76.23.12762
9589.76.23.128/2689.76.23.129 to 89.76.23.19089.76.23.19162
9689.76.23.192/2689.76.23.193 to 89.76.23.25489.76.23.25562
9789.76.24.0/2689.76.24.1 to 89.76.24.6289.76.24.6362
9889.76.24.64/2689.76.24.65 to 89.76.24.12689.76.24.12762
9989.76.24.128/2689.76.24.129 to 89.76.24.19089.76.24.19162
10089.76.24.192/2689.76.24.193 to 89.76.24.25489.76.24.25562
10189.76.25.0/2689.76.25.1 to 89.76.25.6289.76.25.6362
10289.76.25.64/2689.76.25.65 to 89.76.25.12689.76.25.12762
10389.76.25.128/2689.76.25.129 to 89.76.25.19089.76.25.19162
10489.76.25.192/2689.76.25.193 to 89.76.25.25489.76.25.25562
10589.76.26.0/2689.76.26.1 to 89.76.26.6289.76.26.6362
10689.76.26.64/2689.76.26.65 to 89.76.26.12689.76.26.12762
10789.76.26.128/2689.76.26.129 to 89.76.26.19089.76.26.19162
10889.76.26.192/2689.76.26.193 to 89.76.26.25489.76.26.25562
10989.76.27.0/2689.76.27.1 to 89.76.27.6289.76.27.6362
11089.76.27.64/2689.76.27.65 to 89.76.27.12689.76.27.12762
11189.76.27.128/2689.76.27.129 to 89.76.27.19089.76.27.19162
11289.76.27.192/2689.76.27.193 to 89.76.27.25489.76.27.25562
11389.76.28.0/2689.76.28.1 to 89.76.28.6289.76.28.6362
11489.76.28.64/2689.76.28.65 to 89.76.28.12689.76.28.12762
11589.76.28.128/2689.76.28.129 to 89.76.28.19089.76.28.19162
11689.76.28.192/2689.76.28.193 to 89.76.28.25489.76.28.25562
11789.76.29.0/2689.76.29.1 to 89.76.29.6289.76.29.6362
11889.76.29.64/2689.76.29.65 to 89.76.29.12689.76.29.12762
11989.76.29.128/2689.76.29.129 to 89.76.29.19089.76.29.19162
12089.76.29.192/2689.76.29.193 to 89.76.29.25489.76.29.25562
12189.76.30.0/2689.76.30.1 to 89.76.30.6289.76.30.6362
12289.76.30.64/2689.76.30.65 to 89.76.30.12689.76.30.12762
12389.76.30.128/2689.76.30.129 to 89.76.30.19089.76.30.19162
12489.76.30.192/2689.76.30.193 to 89.76.30.25489.76.30.25562
12589.76.31.0/2689.76.31.1 to 89.76.31.6289.76.31.6362
12689.76.31.64/2689.76.31.65 to 89.76.31.12689.76.31.12762
12789.76.31.128/2689.76.31.129 to 89.76.31.19089.76.31.19162
12889.76.31.192/2689.76.31.193 to 89.76.31.25489.76.31.25562
12989.76.32.0/2689.76.32.1 to 89.76.32.6289.76.32.6362
13089.76.32.64/2689.76.32.65 to 89.76.32.12689.76.32.12762
13189.76.32.128/2689.76.32.129 to 89.76.32.19089.76.32.19162
13289.76.32.192/2689.76.32.193 to 89.76.32.25489.76.32.25562
13389.76.33.0/2689.76.33.1 to 89.76.33.6289.76.33.6362
13489.76.33.64/2689.76.33.65 to 89.76.33.12689.76.33.12762
13589.76.33.128/2689.76.33.129 to 89.76.33.19089.76.33.19162
13689.76.33.192/2689.76.33.193 to 89.76.33.25489.76.33.25562
13789.76.34.0/2689.76.34.1 to 89.76.34.6289.76.34.6362
13889.76.34.64/2689.76.34.65 to 89.76.34.12689.76.34.12762
13989.76.34.128/2689.76.34.129 to 89.76.34.19089.76.34.19162
14089.76.34.192/2689.76.34.193 to 89.76.34.25489.76.34.25562
14189.76.35.0/2689.76.35.1 to 89.76.35.6289.76.35.6362
14289.76.35.64/2689.76.35.65 to 89.76.35.12689.76.35.12762
14389.76.35.128/2689.76.35.129 to 89.76.35.19089.76.35.19162
14489.76.35.192/2689.76.35.193 to 89.76.35.25489.76.35.25562
14589.76.36.0/2689.76.36.1 to 89.76.36.6289.76.36.6362
14689.76.36.64/2689.76.36.65 to 89.76.36.12689.76.36.12762
14789.76.36.128/2689.76.36.129 to 89.76.36.19089.76.36.19162
14889.76.36.192/2689.76.36.193 to 89.76.36.25489.76.36.25562
14989.76.37.0/2689.76.37.1 to 89.76.37.6289.76.37.6362
15089.76.37.64/2689.76.37.65 to 89.76.37.12689.76.37.12762
15189.76.37.128/2689.76.37.129 to 89.76.37.19089.76.37.19162
15289.76.37.192/2689.76.37.193 to 89.76.37.25489.76.37.25562
15389.76.38.0/2689.76.38.1 to 89.76.38.6289.76.38.6362
15489.76.38.64/2689.76.38.65 to 89.76.38.12689.76.38.12762
15589.76.38.128/2689.76.38.129 to 89.76.38.19089.76.38.19162
15689.76.38.192/2689.76.38.193 to 89.76.38.25489.76.38.25562
15789.76.39.0/2689.76.39.1 to 89.76.39.6289.76.39.6362
15889.76.39.64/2689.76.39.65 to 89.76.39.12689.76.39.12762
15989.76.39.128/2689.76.39.129 to 89.76.39.19089.76.39.19162
16089.76.39.192/2689.76.39.193 to 89.76.39.25489.76.39.25562
16189.76.40.0/2689.76.40.1 to 89.76.40.6289.76.40.6362
16289.76.40.64/2689.76.40.65 to 89.76.40.12689.76.40.12762
16389.76.40.128/2689.76.40.129 to 89.76.40.19089.76.40.19162
16489.76.40.192/2689.76.40.193 to 89.76.40.25489.76.40.25562
16589.76.41.0/2689.76.41.1 to 89.76.41.6289.76.41.6362
16689.76.41.64/2689.76.41.65 to 89.76.41.12689.76.41.12762
16789.76.41.128/2689.76.41.129 to 89.76.41.19089.76.41.19162
16889.76.41.192/2689.76.41.193 to 89.76.41.25489.76.41.25562
16989.76.42.0/2689.76.42.1 to 89.76.42.6289.76.42.6362
17089.76.42.64/2689.76.42.65 to 89.76.42.12689.76.42.12762
17189.76.42.128/2689.76.42.129 to 89.76.42.19089.76.42.19162
17289.76.42.192/2689.76.42.193 to 89.76.42.25489.76.42.25562
17389.76.43.0/2689.76.43.1 to 89.76.43.6289.76.43.6362
17489.76.43.64/2689.76.43.65 to 89.76.43.12689.76.43.12762
17589.76.43.128/2689.76.43.129 to 89.76.43.19089.76.43.19162
17689.76.43.192/2689.76.43.193 to 89.76.43.25489.76.43.25562
17789.76.44.0/2689.76.44.1 to 89.76.44.6289.76.44.6362
17889.76.44.64/2689.76.44.65 to 89.76.44.12689.76.44.12762
17989.76.44.128/2689.76.44.129 to 89.76.44.19089.76.44.19162
18089.76.44.192/2689.76.44.193 to 89.76.44.25489.76.44.25562
18189.76.45.0/2689.76.45.1 to 89.76.45.6289.76.45.6362
18289.76.45.64/2689.76.45.65 to 89.76.45.12689.76.45.12762
18389.76.45.128/2689.76.45.129 to 89.76.45.19089.76.45.19162
18489.76.45.192/2689.76.45.193 to 89.76.45.25489.76.45.25562
18589.76.46.0/2689.76.46.1 to 89.76.46.6289.76.46.6362
18689.76.46.64/2689.76.46.65 to 89.76.46.12689.76.46.12762
18789.76.46.128/2689.76.46.129 to 89.76.46.19089.76.46.19162
18889.76.46.192/2689.76.46.193 to 89.76.46.25489.76.46.25562
18989.76.47.0/2689.76.47.1 to 89.76.47.6289.76.47.6362
19089.76.47.64/2689.76.47.65 to 89.76.47.12689.76.47.12762
19189.76.47.128/2689.76.47.129 to 89.76.47.19089.76.47.19162
19289.76.47.192/2689.76.47.193 to 89.76.47.25489.76.47.25562
19389.76.48.0/2689.76.48.1 to 89.76.48.6289.76.48.6362
19489.76.48.64/2689.76.48.65 to 89.76.48.12689.76.48.12762
19589.76.48.128/2689.76.48.129 to 89.76.48.19089.76.48.19162
19689.76.48.192/2689.76.48.193 to 89.76.48.25489.76.48.25562
19789.76.49.0/2689.76.49.1 to 89.76.49.6289.76.49.6362
19889.76.49.64/2689.76.49.65 to 89.76.49.12689.76.49.12762
19989.76.49.128/2689.76.49.129 to 89.76.49.19089.76.49.19162
20089.76.49.192/2689.76.49.193 to 89.76.49.25489.76.49.25562
20189.76.50.0/2689.76.50.1 to 89.76.50.6289.76.50.6362
20289.76.50.64/2689.76.50.65 to 89.76.50.12689.76.50.12762
20389.76.50.128/2689.76.50.129 to 89.76.50.19089.76.50.19162
20489.76.50.192/2689.76.50.193 to 89.76.50.25489.76.50.25562
20589.76.51.0/2689.76.51.1 to 89.76.51.6289.76.51.6362
20689.76.51.64/2689.76.51.65 to 89.76.51.12689.76.51.12762
20789.76.51.128/2689.76.51.129 to 89.76.51.19089.76.51.19162
20889.76.51.192/2689.76.51.193 to 89.76.51.25489.76.51.25562
20989.76.52.0/2689.76.52.1 to 89.76.52.6289.76.52.6362
21089.76.52.64/2689.76.52.65 to 89.76.52.12689.76.52.12762
21189.76.52.128/2689.76.52.129 to 89.76.52.19089.76.52.19162
21289.76.52.192/2689.76.52.193 to 89.76.52.25489.76.52.25562
21389.76.53.0/2689.76.53.1 to 89.76.53.6289.76.53.6362
21489.76.53.64/2689.76.53.65 to 89.76.53.12689.76.53.12762
21589.76.53.128/2689.76.53.129 to 89.76.53.19089.76.53.19162
21689.76.53.192/2689.76.53.193 to 89.76.53.25489.76.53.25562
21789.76.54.0/2689.76.54.1 to 89.76.54.6289.76.54.6362
21889.76.54.64/2689.76.54.65 to 89.76.54.12689.76.54.12762
21989.76.54.128/2689.76.54.129 to 89.76.54.19089.76.54.19162
22089.76.54.192/2689.76.54.193 to 89.76.54.25489.76.54.25562
22189.76.55.0/2689.76.55.1 to 89.76.55.6289.76.55.6362
22289.76.55.64/2689.76.55.65 to 89.76.55.12689.76.55.12762
22389.76.55.128/2689.76.55.129 to 89.76.55.19089.76.55.19162
22489.76.55.192/2689.76.55.193 to 89.76.55.25489.76.55.25562
22589.76.56.0/2689.76.56.1 to 89.76.56.6289.76.56.6362
22689.76.56.64/2689.76.56.65 to 89.76.56.12689.76.56.12762
22789.76.56.128/2689.76.56.129 to 89.76.56.19089.76.56.19162
22889.76.56.192/2689.76.56.193 to 89.76.56.25489.76.56.25562
22989.76.57.0/2689.76.57.1 to 89.76.57.6289.76.57.6362
23089.76.57.64/2689.76.57.65 to 89.76.57.12689.76.57.12762
23189.76.57.128/2689.76.57.129 to 89.76.57.19089.76.57.19162
23289.76.57.192/2689.76.57.193 to 89.76.57.25489.76.57.25562
23389.76.58.0/2689.76.58.1 to 89.76.58.6289.76.58.6362
23489.76.58.64/2689.76.58.65 to 89.76.58.12689.76.58.12762
23589.76.58.128/2689.76.58.129 to 89.76.58.19089.76.58.19162
23689.76.58.192/2689.76.58.193 to 89.76.58.25489.76.58.25562
23789.76.59.0/2689.76.59.1 to 89.76.59.6289.76.59.6362
23889.76.59.64/2689.76.59.65 to 89.76.59.12689.76.59.12762
23989.76.59.128/2689.76.59.129 to 89.76.59.19089.76.59.19162
24089.76.59.192/2689.76.59.193 to 89.76.59.25489.76.59.25562
24189.76.60.0/2689.76.60.1 to 89.76.60.6289.76.60.6362
24289.76.60.64/2689.76.60.65 to 89.76.60.12689.76.60.12762
24389.76.60.128/2689.76.60.129 to 89.76.60.19089.76.60.19162
24489.76.60.192/2689.76.60.193 to 89.76.60.25489.76.60.25562
24589.76.61.0/2689.76.61.1 to 89.76.61.6289.76.61.6362
24689.76.61.64/2689.76.61.65 to 89.76.61.12689.76.61.12762
24789.76.61.128/2689.76.61.129 to 89.76.61.19089.76.61.19162
24889.76.61.192/2689.76.61.193 to 89.76.61.25489.76.61.25562
24989.76.62.0/2689.76.62.1 to 89.76.62.6289.76.62.6362
25089.76.62.64/2689.76.62.65 to 89.76.62.12689.76.62.12762
25189.76.62.128/2689.76.62.129 to 89.76.62.19089.76.62.19162
25289.76.62.192/2689.76.62.193 to 89.76.62.25489.76.62.25562
25389.76.63.0/2689.76.63.1 to 89.76.63.6289.76.63.6362
25489.76.63.64/2689.76.63.65 to 89.76.63.12689.76.63.12762
25589.76.63.128/2689.76.63.129 to 89.76.63.19089.76.63.19162
25689.76.63.192/2689.76.63.193 to 89.76.63.25489.76.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses